//- webcast = topic.resources.map{ |b| b.type.include?("webcast")}[0...1]
//- ebooks = topic.resources.map{ |b| b.type.include?("Whitepapers and ebooks")}[0...1]
//- case_studies = topic.resources.keep_if{ |c| c.type.include?("Case studies")}[0...6]
//- reports = topic.resources.keep_if{ |d| d.type.include?("Reports")}[0...6]
// including the above negates all the if statements below =/
- if topic.resources != nil
  %hr.u-margin-top-xxl.u-margin-bottom-xxl
  .row.topic-resources.position-relative
    %img{:alt => "", :class=>"gitops-topic-bg resources", :src => "/images/topics/gitops-header-bg-3.svg"}/
    .col-md-5
      %h2
        = topic.resources_title

      - if topic.resources_intro != nil 
        %p
          = kramdown(topic.resources_intro) 

    .col-md-1
    .col-md-6.resources
      // We need to only include these h4 tags if the resource type exists
      - webcast_loop = 0
      - topic.resources.each do |article|
        - if article.type == "webcast"
          - if webcast_loop == 0
            %h4 
              %img{:alt => "", :class=>"icon", :src => "/images/topics/icon-laptop-video.svg"}/ 
              Webcasts
            - webcast_loop = 1
          %a{ href: "#{article.url}" }
            %p
              = article.title
      - whitepaper_loop = 0
      - topic.resources.each do |article|
        - if article.type == "Whitepapers and ebooks"
          - if whitepaper_loop == 0
            %hr.u-margin-top-sm.u-margin-bottom-sm
            %h4 
              %img{:alt => "", :class=>"icon", :src => "/images/topics/icon-open-book.svg"}/
              Whitepapers and ebooks 
            - whitepaper_loop = 1
          %a{ href: "#{article.url}" }
            %p
              = article.title
      - case_study_loop = 0
      - topic.resources.each do |article|
        - if article.type == "Case studies"
          - if case_study_loop == 0
            %hr.u-margin-top-sm.u-margin-bottom-sm
            %h4 
              %img{:alt => "", :class=>"icon", :src => "/images/topics/icon-docs.svg"}/
              Case studies
            - case_study_loop = 1
          %a{ href: "#{article.url}" }
            %p
              = article.title
      - reports_loop = 0
      - topic.resources.each do |article|
        - if article.type == "Reports"
          - if reports_loop == 0
            %hr.u-margin-top-sm.u-margin-bottom-sm
            %h4 
              %img{:alt => "", :class=>"icon", :src => "/images/topics/icon-report.svg"}/
              Reports
            - reports_loop = 1
          %a{ href: "#{article.url}" }
            %p
              = article.title
